//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __MODALLAYER_H
#define __MODALLAYER_H

#include "CLWindowLayer.h"

class TModalLayer:
	public TWindowLayer
{
protected:
	virtual bool CalcMouseMoveBelow( Point, RgnHandle );
public:
	TModalLayer();
	virtual void MakeActive( bool );
	virtual void AddWindow( TBaseWindow* );
	virtual void RemoveWindow( TBaseWindow* );
	virtual void CalcMouseMove( Point, RgnHandle );
	virtual void SelectWindow( TBaseWindow* );
	virtual void SendBehind( TBaseWindow*, TBaseWindow* );
	virtual TBaseWindow *FindWindow( Point );
};

extern TModalLayer *gModalWindowLayer;

#endif