//Copyright (c) 1997 Aidan Cully
//All rights reserved.

#include "CLStringShape.h"
#include "CLDrawSlate.h"
#include "CLStyle.h"

TStringShape::TStringShape( TStyle *style, int x, int y, char *message )
{
	mX= x; mY= y;
	mString= message;
	mStyle= style;
}

void TStringShape::RenderOn( TDrawSlate *gr )
{
	unsigned char mess[2];
	mess[0]= 1;
	gr->GetDrawFocus();
	MoveTo( mX, mY );

	int i= 0;
	mStyle->Apply();
	while( mString[i] ) {
		mess[1]= mString[i];
		i++;
		DrawString( mess );
	}
	gr->ReleaseDrawFocus();
}